function k(o){return document.getElementById(o);}

function checkreg() {
	
	if( strlen(k('iUserName').value)<1 ) {
	   alert("\请输入您常用的邮箱!")
	   k('iUserName').focus()
	   return false;
	}
	
	if(!CheckEmail(k('iUserName').value))
	{
	   alert("\请输入正确的邮箱格式!")
	   k('iUserName').focus()
	   return false;
	}
	
	
    if( strlen(k('iUserPass1').value)<1 ) {
	   alert("\请输入密码!")
	   k('iUserPass1').focus()
	   return false;
	}
	
	
	if( strlen(k('iUserPass1').value)<6 | strlen(k('iUserPass1').value)>20 ) {
	   alert("\请您输入6-20位的密码!")
	   k('iUserPass1').focus()
	   return false;
	}
	
	
	if( strlen(k('iUserPass2').value)<1 ) {
	   alert("\请输入确认密码!")
	   k('iUserPass2').focus()
	   return false;
	}
	
	
	if( k('iUserPass2').value !== k('iUserPass1').value) {
	   alert("\密码和确认密码不相同!")
	   k('iUserPass2').focus()
	   return false;
	}
	
	
	
   if( strlen(k('iNickName').value)<1 ) {
	   alert("\请输入您的昵称!")
	   k('iNickName').focus()
	   return false;
	}
	
	
	if( strlen(k('iNickName').value)<4 | strlen(k('iNickName').value)>24) {
	   alert("\请输入4—24位字节的昵称（1个汉字为2位字节）!")
	   k('iNickName').focus()
	   return false;
	}
	
	
	
	
   if( strlen(k('icode').value)<1 ) {
	   alert("\请输入验证码!")
	   k('icode').focus()
	   return false;
	}
	
	//验证码错误
	if(k('icode').value.toLowerCase()!=get_kcode("vCode"))
	{
		alert("验证码填写不正确！");
		k('icode').focus()
		return false;
	}

   //复选框
   if(document.getElementsByName("kclause")[0].checked==false)
   {
	   alert("必须阅读并同意《青乌序用户服务条款》！");
		k('kclause').focus()
		return false;
	}





}


//检测字符的长度，以字节为单位
function strlen(str)
{
	var len;
	var i;
	len = 0;
	for (i=0;i<str.length;i++){
		if (str.charCodeAt(i)>255) len+=2; else len++;
	}
	return len;
}


//检测电子邮件是否合法
function CheckEmail(strValue)
{
    var pattern = /^[.-_A-Za-z0-9]+@([-_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}$/;
    if(strValue.match(pattern)==null){
        return false;
     }else{
     return true;
     }
}


function get_kcode(objName){
var arrStr = document.cookie.split("; ");
for(var i = 0;i < arrStr.length;i ++){
var temp = arrStr[i].split("=");
if(temp[0] == objName) return unescape(temp[1]);
} 
}
